diff -rupN arpack++1.2.orig/examples/reverse/complex/rcompsol.h arpack++1.2.patched/examples/reverse/complex/rcompsol.h
--- arpack++1.2.orig/examples/reverse/complex/rcompsol.h	2000-02-22 14:34:31.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/complex/rcompsol.h	2006-01-26 15:37:46.000000000 +0100
@@ -23,7 +23,7 @@
 template<class ARFLOAT>
 void Solution(ARrcCompStdEig<ARFLOAT> &Prob)
 /*
-  Prints eigenvalues on standard "cout" stream.
+  Prints eigenvalues on standard "std::cout" stream.
 */
 
 {
@@ -34,29 +34,29 @@ void Solution(ARrcCompStdEig<ARFLOAT> &P
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARrcCompStdEig " << endl;
-  cout << "Complex eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARrcCompStdEig " << std::endl;
+  std::cout << "Complex eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
 } // Solution
diff -rupN arpack++1.2.orig/examples/reverse/nonsym/Makefile arpack++1.2.patched/examples/reverse/nonsym/Makefile
--- arpack++1.2.orig/examples/reverse/nonsym/Makefile	2000-02-18 20:30:14.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/nonsym/Makefile	2006-01-26 15:37:46.000000000 +0100
@@ -46,7 +46,7 @@ rsvd:	rsvd.o
 
 .PHONY:	clean
 clean:
-	rm -f *.o *~ core
+	rm -f *.o *~ core rnsymreg rnsymshf rnsymgre rnsymgsh rnsymgsc rsvd
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/reverse/nonsym/rnsymgsl.h arpack++1.2.patched/examples/reverse/nonsym/rnsymgsl.h
--- arpack++1.2.orig/examples/reverse/nonsym/rnsymgsl.h	2000-02-22 14:42:34.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/nonsym/rnsymgsl.h	2006-01-26 15:37:46.000000000 +0100
@@ -23,7 +23,7 @@
 template<class ARFLOAT>
 void Solution(ARrcNonSymGenEig<ARFLOAT> &Prob)
 /*
-  Prints eigenvalues on standard "cout" stream.
+  Prints eigenvalues on standard "std::cout" stream.
 */
 
 {
@@ -34,33 +34,33 @@ void Solution(ARrcNonSymGenEig<ARFLOAT> 
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARrcNonSymGenEig" << endl;
-  cout << "Real nonsymmetric generalized eigenvalue problem: A*x - B*x*lambda" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARrcNonSymGenEig" << std::endl;
+  std::cout << "Real nonsymmetric generalized eigenvalue problem: A*x - B*x*lambda" << std::endl;
   switch (mode) {
   case 2:
-    cout << "Regular mode";
+    std::cout << "Regular mode";
     break;
   case 3:
-    cout << "Shift and invert mode (using real part of OP)";
+    std::cout << "Shift and invert mode (using real part of OP)";
     break;
   case 4:
-    cout << "Shift and invert mode (using imaginary part of OP)";
+    std::cout << "Shift and invert mode (using imaginary part of OP)";
   }
-  cout << endl << endl;
+  std::cout << std::endl << std::endl;
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
 } // Solution
diff -rupN arpack++1.2.orig/examples/reverse/nonsym/rnsymsol.h arpack++1.2.patched/examples/reverse/nonsym/rnsymsol.h
--- arpack++1.2.orig/examples/reverse/nonsym/rnsymsol.h	2000-02-22 14:42:06.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/nonsym/rnsymsol.h	2006-01-26 15:37:46.000000000 +0100
@@ -23,7 +23,7 @@
 template<class ARFLOAT>
 void Solution(ARrcNonSymStdEig<ARFLOAT> &Prob)
 /*
-  Prints eigenvalues on standard "cout" stream.
+  Prints eigenvalues on standard "std::cout" stream.
 */
 
 {
@@ -34,29 +34,29 @@ void Solution(ARrcNonSymStdEig<ARFLOAT> 
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARrcNonSymStdEig " << endl;
-  cout << "Real nonsymmetric eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARrcNonSymStdEig " << std::endl;
+  std::cout << "Real nonsymmetric eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
 } // Solution
diff -rupN arpack++1.2.orig/examples/reverse/nonsym/rnsymvsl.h arpack++1.2.patched/examples/reverse/nonsym/rnsymvsl.h
--- arpack++1.2.orig/examples/reverse/nonsym/rnsymvsl.h	2000-02-22 14:41:49.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/nonsym/rnsymvsl.h	2006-01-26 15:37:46.000000000 +0100
@@ -19,7 +19,7 @@
 #ifndef RNSYMVSL_H
 #define RNSYMVSL_H
 
-#include <math.h>
+#include <cmath>
 #include "blas1c.h"
 #include "lapackc.h"
 #include "matprod.h"
@@ -29,7 +29,7 @@ template<class ARFLOAT>
 void Solution(ARrcNonSymStdEig<ARFLOAT> &Prob)
 /*
   Prints singular values and singular vectors of nonsymmetric 
-  real matrices on standard "cout" stream.
+  real matrices on standard "std::cout" stream.
 */
 
 {
@@ -38,25 +38,25 @@ void Solution(ARrcNonSymStdEig<ARFLOAT> 
 
   nconv = Prob.ConvergedEigenvalues();
 
-  cout << endl << endl << "Testing ARPACK++ class ARrcNonSymStdEig \n";
-  cout << "Singular value decomposition problem: (A'*A)*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARrcNonSymStdEig \n";
+  std::cout << "Singular value decomposition problem: (A'*A)*x - lambda*x" << std::endl;
 
-  cout << "Dimension of the system              : " << Prob.GetN()   << endl;
-  cout << "Number of 'requested' singular values: " << Prob.GetNev() << endl;
-  cout << "Number of 'converged' singular values: " << nconv         << endl;
-  cout << "Number of Arnoldi vectors generated  : " << Prob.GetNcv() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system              : " << Prob.GetN()   << std::endl;
+  std::cout << "Number of 'requested' singular values: " << Prob.GetNev() << std::endl;
+  std::cout << "Number of 'converged' singular values: " << nconv         << std::endl;
+  std::cout << "Number of Arnoldi vectors generated  : " << Prob.GetNcv() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
 
     // Printing singular values.
 
-    cout << "Singular values:" << endl;
+    std::cout << "Singular values:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  sigma[" << (i+1) << "]: ";
-      cout << sqrt(Prob.EigenvalueReal(i)) << endl;
+      std::cout << "  sigma[" << (i+1) << "]: ";
+      std::cout << sqrt(Prob.EigenvalueReal(i)) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
 } // Solution
diff -rupN arpack++1.2.orig/examples/reverse/sym/Makefile arpack++1.2.patched/examples/reverse/sym/Makefile
--- arpack++1.2.orig/examples/reverse/sym/Makefile	2000-02-18 20:24:58.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/sym/Makefile	2006-01-26 15:37:46.000000000 +0100
@@ -45,7 +45,7 @@ rsymgcay:       rsymgcay.o
 
 .PHONY:	clean
 clean:
-	rm -f *.o *~ core
+	rm -f *.o *~ core rsymgbkl rsymgcay rsymgreg rsymgshf rsymreg rsymshf
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/reverse/sym/rsymgsol.h arpack++1.2.patched/examples/reverse/sym/rsymgsol.h
--- arpack++1.2.orig/examples/reverse/sym/rsymgsol.h	2000-02-22 14:53:25.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/sym/rsymgsol.h	2006-01-26 15:37:46.000000000 +0100
@@ -23,7 +23,7 @@
 template<class ARFLOAT>
 void Solution(ARrcSymGenEig<ARFLOAT> &Prob)
 /*
-  Prints eigenvalues on standard "cout" stream.
+  Prints eigenvalues on standard "std::cout" stream.
 */
 
 {
@@ -34,35 +34,35 @@ void Solution(ARrcSymGenEig<ARFLOAT> &Pr
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARrcSymGenEig" << endl;
-  cout << "Real symmetric eigenvalue problem: A*x - B*x*lambda" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARrcSymGenEig" << std::endl;
+  std::cout << "Real symmetric eigenvalue problem: A*x - B*x*lambda" << std::endl;
   switch (mode) {
   case 2:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3:
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
     break;
   case 4:
-    cout << "Buckling mode" << endl << endl;
+    std::cout << "Buckling mode" << std::endl << std::endl;
     break;
   case 5:
-    cout << "Cayley mode" << endl << endl;
+    std::cout << "Cayley mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
 } // Solution
diff -rupN arpack++1.2.orig/examples/reverse/sym/rsymsol.h arpack++1.2.patched/examples/reverse/sym/rsymsol.h
--- arpack++1.2.orig/examples/reverse/sym/rsymsol.h	2000-02-22 14:54:13.000000000 +0100
+++ arpack++1.2.patched/examples/reverse/sym/rsymsol.h	2006-01-26 15:37:46.000000000 +0100
@@ -23,7 +23,7 @@
 template<class ARFLOAT>
 void Solution(ARrcSymStdEig<ARFLOAT> &Prob)
 /*
-  Prints eigenvalues on standard "cout" stream.
+  Prints eigenvalues on standard "std::cout" stream.
 */
 
 {
@@ -34,29 +34,29 @@ void Solution(ARrcSymStdEig<ARFLOAT> &Pr
   nconv = Prob.ConvergedEigenvalues();
   mode  = Prob.GetMode();
 
-  cout << endl << endl << "Testing ARPACK++ class ARrcSymStdEig" << endl;
-  cout << "Real symmetric eigenvalue problem: A*x - lambda*x" << endl;
+  std::cout << std::endl << std::endl << "Testing ARPACK++ class ARrcSymStdEig" << std::endl;
+  std::cout << "Real symmetric eigenvalue problem: A*x - lambda*x" << std::endl;
   switch (mode) {
   case 1:
-    cout << "Regular mode" << endl << endl;
+    std::cout << "Regular mode" << std::endl << std::endl;
     break;
   case 3: 
-    cout << "Shift and invert mode" << endl << endl;
+    std::cout << "Shift and invert mode" << std::endl << std::endl;
   }
 
-  cout << "Dimension of the system            : " << n              << endl;
-  cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << endl;
-  cout << "Number of 'converged' eigenvalues  : " << nconv          << endl;
-  cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << endl;
-  cout << "Number of iterations taken         : " << Prob.GetIter() << endl;
-  cout << endl;
+  std::cout << "Dimension of the system            : " << n              << std::endl;
+  std::cout << "Number of 'requested' eigenvalues  : " << Prob.GetNev()  << std::endl;
+  std::cout << "Number of 'converged' eigenvalues  : " << nconv          << std::endl;
+  std::cout << "Number of Arnoldi vectors generated: " << Prob.GetNcv()  << std::endl;
+  std::cout << "Number of iterations taken         : " << Prob.GetIter() << std::endl;
+  std::cout << std::endl;
 
   if (Prob.EigenvaluesFound()) {
-    cout << "Eigenvalues:" << endl;
+    std::cout << "Eigenvalues:" << std::endl;
     for (i=0; i<nconv; i++) {
-      cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << endl;
+      std::cout << "  lambda[" << (i+1) << "]: " << Prob.Eigenvalue(i) << std::endl;
     }
-    cout << endl;
+    std::cout << std::endl;
   }
 
 } // Solution
diff -rupN arpack++1.2.orig/examples/superlu/complex/Makefile arpack++1.2.patched/examples/superlu/complex/Makefile
--- arpack++1.2.orig/examples/superlu/complex/Makefile	2000-02-22 15:21:50.000000000 +0100
+++ arpack++1.2.patched/examples/superlu/complex/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -32,7 +32,7 @@ lcompgsh:	lcompgsh.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core lcompreg lcompshf lcompgre lcompgsh
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/superlu/nonsym/lsvd.cc arpack++1.2.patched/examples/superlu/nonsym/lsvd.cc
--- arpack++1.2.orig/examples/superlu/nonsym/lsvd.cc	2000-03-02 18:51:33.000000000 +0100
+++ arpack++1.2.patched/examples/superlu/nonsym/lsvd.cc	2006-01-26 15:37:47.000000000 +0100
@@ -44,7 +44,7 @@
 #include "arssym.h"
 #include "lnmatrxv.h"
 #include "arlnsmat.h"
-#include <math.h>
+#include <cmath>
 
 
 int main()
@@ -94,15 +94,15 @@ int main()
 
   // Printing some information about the problem.
 
-  cout << endl << "Testing ARPACK++ class ARSymStdEig" << endl;
-  cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << endl;
-  cout << "  greatest singular value: " << svalue[5] << endl;
-  cout << "  smallest singular value: " << svalue[0] << endl;
-  cout << "  condition number of A  : " << cond << endl;
-  cout << "MATLAB solution:" << endl;
-  cout << "  greatest singular value:  9.89757224207690 \n";
-  cout << "  smallest singular value:  1.41683937261247 \n";
-  cout << "  condition number of A  :  6.98566995906319 \n";
+  std::cout << std::endl << "Testing ARPACK++ class ARSymStdEig" << std::endl;
+  std::cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << std::endl;
+  std::cout << "  greatest singular value: " << svalue[5] << std::endl;
+  std::cout << "  smallest singular value: " << svalue[0] << std::endl;
+  std::cout << "  condition number of A  : " << cond << std::endl;
+  std::cout << "MATLAB solution:" << std::endl;
+  std::cout << "  greatest singular value:  9.89757224207690 \n";
+  std::cout << "  smallest singular value:  1.41683937261247 \n";
+  std::cout << "  condition number of A  :  6.98566995906319 \n";
 
 } // main.
 
diff -rupN arpack++1.2.orig/examples/superlu/nonsym/Makefile arpack++1.2.patched/examples/superlu/nonsym/Makefile
--- arpack++1.2.orig/examples/superlu/nonsym/Makefile	2000-02-22 15:39:02.000000000 +0100
+++ arpack++1.2.patched/examples/superlu/nonsym/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -43,7 +43,7 @@ lsvd2:	lsvd2.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core lnsymreg lnsymshf lnsymgre lnsymgsh lnsymgsc lsvd lsvd2
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/superlu/sym/Makefile arpack++1.2.patched/examples/superlu/sym/Makefile
--- arpack++1.2.orig/examples/superlu/sym/Makefile	2000-02-22 15:45:12.000000000 +0100
+++ arpack++1.2.patched/examples/superlu/sym/Makefile	2006-01-26 15:37:47.000000000 +0100
@@ -38,7 +38,7 @@ lsymgcay:	lsymgcay.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core lsymgbkl lsymgcay lsymgreg lsymgshf lsymreg lsymshf
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/umfpack/complex/Makefile arpack++1.2.patched/examples/umfpack/complex/Makefile
--- arpack++1.2.orig/examples/umfpack/complex/Makefile	2000-02-22 15:51:57.000000000 +0100
+++ arpack++1.2.patched/examples/umfpack/complex/Makefile	2006-01-26 15:37:46.000000000 +0100
@@ -32,7 +32,7 @@ ucompgsh:	ucompgsh.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core ucompreg ucompshf ucompgre ucompgsh
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/umfpack/nonsym/Makefile arpack++1.2.patched/examples/umfpack/nonsym/Makefile
--- arpack++1.2.orig/examples/umfpack/nonsym/Makefile	2000-02-22 16:00:11.000000000 +0100
+++ arpack++1.2.patched/examples/umfpack/nonsym/Makefile	2006-01-26 15:37:46.000000000 +0100
@@ -40,7 +40,7 @@ usvd:	usvd.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core unsymreg unsymshf unsymgre unsymgsh unsymgsc usvd
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/umfpack/nonsym/usvd.cc arpack++1.2.patched/examples/umfpack/nonsym/usvd.cc
--- arpack++1.2.orig/examples/umfpack/nonsym/usvd.cc	2000-02-22 16:03:23.000000000 +0100
+++ arpack++1.2.patched/examples/umfpack/nonsym/usvd.cc	2006-01-26 15:37:46.000000000 +0100
@@ -44,7 +44,7 @@
 #include "arssym.h"
 #include "lnmatrxv.h"
 #include "arunsmat.h"
-#include <math.h>
+#include <cmath>
 
 
 int main()
@@ -94,15 +94,15 @@ int main()
 
   // Printing some information about the problem.
 
-  cout << endl << "Testing ARPACK++ class ARSymStdEig" << endl;
-  cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << endl;
-  cout << "  greatest singular value: " << svalue[5] << endl;
-  cout << "  smallest singular value: " << svalue[0] << endl;
-  cout << "  condition number of A  : " << cond << endl;
-  cout << "MATLAB solution:" << endl;
-  cout << "  greatest singular value:  9.89757224207690 \n";
-  cout << "  smallest singular value:  1.41683937261247 \n";
-  cout << "  condition number of A  :  6.98566995906319 \n";
+  std::cout << std::endl << "Testing ARPACK++ class ARSymStdEig" << std::endl;
+  std::cout << "Obtaining singular values by solving (A'*A)*v = sigma*v" << std::endl;
+  std::cout << "  greatest singular value: " << svalue[5] << std::endl;
+  std::cout << "  smallest singular value: " << svalue[0] << std::endl;
+  std::cout << "  condition number of A  : " << cond << std::endl;
+  std::cout << "MATLAB solution:" << std::endl;
+  std::cout << "  greatest singular value:  9.89757224207690 \n";
+  std::cout << "  smallest singular value:  1.41683937261247 \n";
+  std::cout << "  condition number of A  :  6.98566995906319 \n";
 
 } // main.
 
diff -rupN arpack++1.2.orig/examples/umfpack/sym/Makefile arpack++1.2.patched/examples/umfpack/sym/Makefile
--- arpack++1.2.orig/examples/umfpack/sym/Makefile	2000-02-22 16:07:07.000000000 +0100
+++ arpack++1.2.patched/examples/umfpack/sym/Makefile	2006-01-26 15:37:46.000000000 +0100
@@ -38,7 +38,7 @@ usymgcay:	usymgcay.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core usymreg usymshf usymgreg usymgshf usymgbkl usymgcay
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/include/arbgcomp.h arpack++1.2.patched/include/arbgcomp.h
--- arpack++1.2.orig/include/arbgcomp.h	2000-02-20 14:34:16.000000000 +0100
+++ arpack++1.2.patched/include/arbgcomp.h	2006-01-26 15:37:50.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef ARBGCOMP_H
 #define ARBGCOMP_H
 
-#include <stddef.h>
+#include <cstddef>
 #include "arch.h"
 #include "arbnsmat.h"
 #include "arbnspen.h"
@@ -103,8 +103,8 @@ Copy(const ARluCompGenEig<ARFLOAT>& othe
   ARCompGenEig<ARFLOAT, ARbdNonSymPencil<arcomplex<ARFLOAT>, ARFLOAT >,
                ARbdNonSymPencil<arcomplex<ARFLOAT>, ARFLOAT> >:: Copy(other);
   Pencil = other.Pencil;
-  objOP  = &Pencil;
-  objB   = &Pencil;
+  this->objOP  = &Pencil;
+  this->objB   = &Pencil;
 
 } // Copy.
 
@@ -114,7 +114,7 @@ inline void ARluCompGenEig<ARFLOAT>::
 ChangeShift(arcomplex<ARFLOAT> sigmaRp)
 {
 
-  objOP->FactorAsB(sigmaRp);
+  this->objOP->FactorAsB(sigmaRp);
   ARrcStdEig<ARFLOAT, arcomplex<ARFLOAT> >::ChangeShift(sigmaRp);
 
 } // ChangeShift.
@@ -155,7 +155,7 @@ ARluCompGenEig(int nevp, ARbdNonSymMatri
 {
 
   Pencil.DefineMatrices(A, B);
-  NoShift();
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &Pencil,
                    &ARbdNonSymPencil<arcomplex<ARFLOAT>, ARFLOAT>::MultInvBAv,
                    &Pencil, 
@@ -192,7 +192,7 @@ operator=(const ARluCompGenEig<ARFLOAT>&
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
diff -rupN arpack++1.2.orig/include/arbgnsym.h arpack++1.2.patched/include/arbgnsym.h
--- arpack++1.2.orig/include/arbgnsym.h	2000-02-20 14:18:20.000000000 +0100
+++ arpack++1.2.patched/include/arbgnsym.h	2006-01-26 15:37:50.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef ARBGNSYM_H
 #define ARBGNSYM_H
 
-#include <stddef.h>
+#include <cstddef>
 #include "arch.h"
 #include "arbnsmat.h"
 #include "arbnspen.h"
@@ -110,9 +110,9 @@ Copy(const ARluNonSymGenEig<ARFLOAT>& ot
   ARNonSymGenEig<ARFLOAT, ARbdNonSymPencil<ARFLOAT, ARFLOAT>,
                  ARbdNonSymPencil<ARFLOAT, ARFLOAT> >:: Copy(other);
   Pencil = other.Pencil;
-  objOP  = &Pencil;
-  objB   = &Pencil;
-  objA   = &Pencil;
+  this->objOP  = &Pencil;
+  this->objB   = &Pencil;
+  this->objA   = &Pencil;
 
 } // Copy.
 
@@ -123,10 +123,10 @@ ChangeShift(ARFLOAT sigmaRp, ARFLOAT sig
 {
 
   if (sigmaIp == 0.0) {
-    objOP->FactorAsB(sigmaRp);
+    this->objOP->FactorAsB(sigmaRp);
   }
   else {
-    objOP->FactorAsB(sigmaRp, sigmaIp, part);
+    this->objOP->FactorAsB(sigmaRp, sigmaIp, this->part);
   }
   ARrcNonSymGenEig<ARFLOAT>::ChangeShift(sigmaRp, sigmaIp);
 
@@ -178,7 +178,7 @@ ARluNonSymGenEig(int nevp, ARbdNonSymMat
 {
 
   Pencil.DefineMatrices(A, B);
-  NoShift();
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &Pencil,
                    &ARbdNonSymPencil<ARFLOAT, ARFLOAT>::MultInvBAv, &Pencil,
                    &ARbdNonSymPencil<ARFLOAT, ARFLOAT>::MultBv, whichp,
@@ -231,7 +231,7 @@ operator=(const ARluNonSymGenEig<ARFLOAT
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
diff -rupN arpack++1.2.orig/include/arbgsym.h arpack++1.2.patched/include/arbgsym.h
--- arpack++1.2.orig/include/arbgsym.h	2000-02-20 14:10:22.000000000 +0100
+++ arpack++1.2.patched/include/arbgsym.h	2006-01-26 15:37:49.000000000 +0100
@@ -18,7 +18,7 @@
 #ifndef ARBGSYM_H
 #define ARBGSYM_H
 
-#include <stddef.h>
+#include <cstddef>
 #include "arch.h"
 #include "arbsmat.h"
 #include "arbspen.h"
@@ -104,9 +104,9 @@ Copy(const ARluSymGenEig<ARFLOAT>& other
   ARSymGenEig<ARFLOAT, ARbdSymPencil<ARFLOAT>,
               ARbdSymPencil<ARFLOAT> >:: Copy(other);
   Pencil = other.Pencil;
-  objOP  = &Pencil;
-  objB   = &Pencil;
-  objA   = &Pencil;
+  this->objOP  = &Pencil;
+  this->objB   = &Pencil;
+  this->objA   = &Pencil;
 
 } // Copy.
 
@@ -115,7 +115,7 @@ template<class ARFLOAT>
 inline void ARluSymGenEig<ARFLOAT>::ChangeShift(ARFLOAT sigmap)
 {
 
-  objOP->FactorAsB(sigmap);
+  this->objOP->FactorAsB(sigmap);
   ARrcSymGenEig<ARFLOAT>::ChangeShift(sigmap);
 
 } // ChangeShift.
@@ -177,8 +177,8 @@ ARluSymGenEig(int nevp, ARbdSymMatrix<AR
 {
 
   Pencil.DefineMatrices(A, B);
-  InvertMode = 'S';
-  NoShift();
+  this->InvertMode = 'S';
+  this->NoShift();
   DefineParameters(A.ncols(), nevp, &Pencil,
                    &ARbdSymPencil<ARFLOAT>::MultInvBAv, &Pencil,
                    &ARbdSymPencil<ARFLOAT>::MultBv, whichp,
@@ -201,8 +201,8 @@ ARluSymGenEig(char InvertModep, int nevp
                    &ARbdSymPencil<ARFLOAT>::MultInvAsBv, &Pencil,
                    &ARbdSymPencil<ARFLOAT>::MultBv, whichp,
                    ncvp, tolp, maxitp, residp, ishiftp);
-  InvertMode = CheckInvertMode(InvertModep);
-  switch (InvertMode) {
+  this->InvertMode = this->CheckInvertMode(InvertModep);
+  switch (this->InvertMode) {
   case 'B':
     ChangeMultBx(&Pencil, &ARbdSymPencil<ARFLOAT>::MultAv);
   case 'S':
@@ -221,7 +221,7 @@ operator=(const ARluSymGenEig<ARFLOAT>& 
 {
 
   if (this != &other) { // Stroustrup suggestion.
-    ClearMem();
+    this->ClearMem();
     Copy(other);
   }
   return *this;
